curl --request POST \
--url https://api.hubapi.com/deal-splits/2026-03/batch/upsert \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
{
"id": 123,
"splits": [
{
"ownerId": 123,
"percentage": 123
}
]
}
]
}
'{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"id": "<string>",
"splits": [
{
"archived": true,
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"properties": {},
"updatedAt": "2023-11-07T05:31:56Z",
"archivedAt": "2023-11-07T05:31:56Z",
"objectWriteTraceId": "<string>",
"propertiesWithHistory": {},
"url": "<string>"
}
]
}
],
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"links": {},
"requestedAt": "2023-11-07T05:31:56Z"
}指定されたIDを使用して、取引の取引分割の作成または置換を行います。各取引の取引分割の割合は合計で1.0(100%)にする必要があり、小数点以下は8桁まで指定できます。
curl --request POST \
--url https://api.hubapi.com/deal-splits/2026-03/batch/upsert \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
{
"id": 123,
"splits": [
{
"ownerId": 123,
"percentage": 123
}
]
}
]
}
'{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"id": "<string>",
"splits": [
{
"archived": true,
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"properties": {},
"updatedAt": "2023-11-07T05:31:56Z",
"archivedAt": "2023-11-07T05:31:56Z",
"objectWriteTraceId": "<string>",
"propertiesWithHistory": {},
"url": "<string>"
}
]
}
],
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"links": {},
"requestedAt": "2023-11-07T05:31:56Z"
}Supported products
Required Scopes
The access token received from the authorization server in the OAuth 2.0 flow.
取引分割の入力の配列
Show child attributes
successful operation
バッチ処理が完了した時点を示すタイムスタンプ(日時形式)。
バッチ処理の結果を表す取引ごとの分割オブジェクトの配列。
Show child attributes
バッチ処理が始まった時点を示すタイムスタンプ(日時形式)。
次の値を取り得る、バッチ処理の現在のステータス:CANCELED、COMPLETE、PENDING、PROCESSING。
CANCELED, COMPLETE, PENDING, PROCESSING その他のリソースまたはドキュメントの関連付けられたURIへのリンク名の対応付け
Show child attributes
バッチ処理が要求された時点を示すタイムスタンプ(日時形式)。